/************************************************************************'
 *This software is absolutely free.  You agree to this terms by looking at 
 *software's sourcecode.  
 *	1)This software may be modified and distributed as long as it remains
 *	  free and open software and this aggreement is in the sourcecode.
 *	2)It must be compatible with the latest version of Drag'enCode.
 *	3)All modifications to this software must made freely available to
 *	  the public.   
 *	4)You can not claim that this software is yours.
 **************************************************************************/
import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import program.*;
import program.operations.*;
import program.images.*;

public class ColorSelectorPlugin { 

	public static void main() {
	Start.theCodePanel.B.add(new ColorSelector());
	}
}

class ColorSelector extends JButton implements ActionListener { 
JDialog dialog = new JDialog(Start.F, "Color Selector", false);
JLabel RedLabel = new JLabel("Red");
JLabel GreenLabel = new JLabel("Green");
JLabel BlueLabel = new JLabel("Blue");
JLabel ResultLabel = new JLabel("Result");
JTextField RedValue = new JTextField("0");
JTextField BlueValue = new JTextField("0");
JTextField GreenValue = new JTextField("0");
JPanel TheColor = new JPanel();

	public ColorSelector() {
	super("ColorSelector");
	setHorizontalTextPosition(JButton.CENTER);
	setVerticalTextPosition(JButton.BOTTOM);
	setMargin(new Insets(0, 5, 0, 5));
	addActionListener(this);
	ColorChanger listener = new ColorChanger();
	RedValue.addActionListener(listener);
	GreenValue.addActionListener(listener);
	BlueValue.addActionListener(listener);
	Container cont = dialog.getContentPane();
	cont.setLayout(new GridLayout(4, 2));
	cont.add(RedLabel);
	cont.add(RedValue);
	cont.add(GreenLabel);
	cont.add(GreenValue);
	cont.add(BlueLabel);
	cont.add(BlueValue);
	cont.add(ResultLabel);
	cont.add(TheColor);
	
	}

	public void actionPerformed(ActionEvent A) {
	FrameOperations.setProperties(Start.F, dialog, false, 200, 100); 
	
	}
	
	class ColorChanger implements ActionListener {


		public void actionPerformed(ActionEvent A) {
		int red = new Integer(RedValue.getText()).intValue();
		int green = new Integer(GreenValue.getText()).intValue();
		int blue = new Integer(BlueValue.getText()).intValue();
			if (red <= 255 && green <= 255 && blue <= 255) {
			Color color = new Color(red, green, blue);
			TheColor.setBackground(color);
			TheColor.repaint();
			}
		}
	}
	
}




/*this file was created using a the trial version of Drag'enCode.
 *Please purchase a liscene at http://www.javasoftware.org/dragencode/
 */